/**
 * Core API v1 (OpenAPI: 3.0.1)
 * 
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import { WorkerLightResponse } from "./workerLightResponse";
import { SubContractorLightResponse } from "./subContractorLightResponse";
import { TagLightResponse } from "./tagLightResponse";

export class WorkerResponse {
    public light: WorkerLightResponse;

    public subContractor: SubContractorLightResponse;

    public tag: TagLightResponse;

    /**
     * Creates a WorkerResponse.
     *
     * @param {WorkerLightResponse} light
     * @param {SubContractorLightResponse} subContractor
     * @param {TagLightResponse} tag
     */
    constructor(light: WorkerLightResponse, subContractor: SubContractorLightResponse, tag: TagLightResponse) {
        this.light = light;
        this.subContractor = subContractor;
        this.tag = tag;
    }
}